﻿@page "/csv"

<h1 class="display-4 pb-3 border-bottom mb-4">Exportar dados Brutos</h1>

<div class="row">
    <div class="col-sm-10">
        <AutocompleteSearchCell @ref="_autocompleteSearchCell" />
    </div>
    <div class="col-sm-2">
        <button class="btn btn-primary" disabled="@_allCellsSelected" @onclick="AddCell">Adicionar Célula</button>
    </div>
</div>

<div class="row">
    <div class="col mt-2">
        <div class="form-check">
            <input class="form-check-input" type="checkbox" @bind="_allCellsSelected" />
            <label class="form-check-label">
                Todas as Células
            </label>
        </div>
    </div>
</div>

<div class="row mt-2">
    <div class="col-sm-5">
        <input type="datetime-local" class="form-control" placeholder="Data de Início" @bind="_start" />
    </div>

    <div class="col-sm-5">
        <input type="datetime-local" class="form-control" placeholder="Data de Fim" @bind="_end" />
    </div>

    <div class="col-sm-2">
        <button class="btn btn-primary" @onclick="GenerateCsv">Ver Dados</button>
    </div>
</div>

<div class="row mt-5">
    <ul class="list-group">
        @foreach (var selectedCell in _selectedCells)
        {
            <li class="list-group-item">@selectedCell.Address</li>
        }
    </ul>
</div>

@if (_noCell)
{
    <div class="row mt-5">
        <div class="alert alert-danger col" role="alert">
            Nenhuma célula selecionada!
        </div>
    </div>
}

@if (_noData)
{
    <div class="row mt-5">
        <div class="alert alert-danger col" role="alert">
            Dados indisponíveis!
        </div>
    </div>
}